%define	_hordeapp jonah
%define	_snap	2008-10-10
#define	_rc		rc1
%define	_rel	2
#
%include	/usr/lib/rpm/macros.php
Summary:	Jonah is the Horde portal project
Summary(pl.UTF-8):	Jonah - projekt portalu opartego na Horde
Name:		horde-%{_hordeapp}
Version:	0.2
Release:	%{?_rc:0.%{_rc}.}%{?_snap:0.%(echo %{_snap} | tr -d -).}%{_rel}
License:	GPL
Group:		Applications/WWW
Source0:	ftp://ftp.horde.org/pub/snaps/%{_snap}/%{_hordeapp}-HEAD-%{_snap}.tar.gz
# Source0-md5:	c394efc727440d4b0481cb018d0bb5d3
Source1:	%{name}-apache.conf
Source2:	%{name}-httpd.conf
URL:		http://www.horde.org/jonah/
BuildRequires:	rpm-php-pearprov >= 4.0.2-98
BuildRequires:	rpmbuild(macros) >= 1.264
BuildRequires:	tar >= 1:1.15.1
Requires:	horde >= 3.0
Requires:	php(mysql)
Requires:	webapps
Conflicts:	apache-base < 2.4.0-1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq_pear	Horde.*

%define		hordedir	/usr/share/horde
%define		_appdir		%{hordedir}/%{_hordeapp}
%define		_webapps	/etc/webapps
%define		_webapp		horde-%{_hordeapp}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
Jonah is the Horde portal project. It currently provides a framework
for collecting headlines from any site that provides an RSS summary of
their content. Future plans include a full-fledged my.netscape type
portal with user preferences, stocks, news, weather, and any other
content source that users want.

%description -l pl.UTF-8
Jonah to projekt portalu opartego na Horde. Aktualnie udostępnia
szkielet do zbierania nagłówków z dowolnych serwisów udostępniających
streszczenia treści w postaci RSS. Dalsze plany obejmują pełny portal
w stylu my.netscape z ustawieniami użytkownika, zasobami, nowinkami,
pogodą i innymi rodzajami treści.

%prep
%setup -qcT -n %{?_snap:%{_hordeapp}-%{_snap}}%{!?_snap:%{_hordeapp}-%{version}%{?_rc:-%{_rc}}}
tar zxf %{SOURCE0} --strip-components=1

rm */.htaccess
for i in config/*.dist; do
	mv $i config/$(basename $i .dist)
done
# considered harmful (horde/docs/SECURITY)
rm test.php

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}/docs}

cp -a *.php $RPM_BUILD_ROOT%{_appdir}
cp -a config/* $RPM_BUILD_ROOT%{_sysconfdir}
echo '<?php ?>' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.php
touch $RPM_BUILD_ROOT%{_sysconfdir}/conf.php.bak
cp -a channels delivery lib locale stories templates themes $RPM_BUILD_ROOT%{_appdir}
cp -a docs/CREDITS $RPM_BUILD_ROOT%{_appdir}/docs

ln -s %{_sysconfdir} $RPM_BUILD_ROOT%{_appdir}/config
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f %{_sysconfdir}/conf.php.bak ]; then
	install /dev/null -o root -g http -m660 %{_sysconfdir}/conf.php.bak
fi

if [ "$1" = 1 ]; then
%banner %{name} -e <<-EOF
	IMPORTANT:
	If you are installing Jonah for the first time, You may need to
	create the Klutz database tables. To do so run:
	zcat %{_docdir}/%{name}-%{version}/scripts/sql/%{_hordeapp}.sql.gz | mysql horde
EOF
fi

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache-base
%webapp_unregister httpd %{_webapp}

%files
%defattr(644,root,root,755)
%doc LICENSE README docs/* scripts
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(660,root,http) %config(noreplace) %{_sysconfdir}/conf.php
%attr(660,root,http) %config(noreplace) %ghost %{_sysconfdir}/conf.php.bak
%attr(640,root,http) %config(noreplace) %{_sysconfdir}/[!c]*.php
%attr(640,root,http) %{_sysconfdir}/conf.xml

%dir %{_appdir}
%{_appdir}/*.php
%{_appdir}/channels
%{_appdir}/config
%{_appdir}/delivery
%{_appdir}/docs
%{_appdir}/lib
%{_appdir}/locale
%{_appdir}/stories
%{_appdir}/templates
%{_appdir}/themes
%changelog
* Thu May 16 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/horde-jonah.git;a=log;h=master

* Thu May 16 2013 Jan Rękorajski <baggins@pld-linux.org> 60527c6
- rpm5 friendly noautoreq
- rel 2

* Wed May 15 2013 Jan Rękorajski <baggins@pld-linux.org> 018760f
- migrated to apache 2.4

* Fri Oct 10 2008 Jan Rękorajski <baggins@pld-linux.org> dc79365
- up to 2008-10-10 snap

* Fri Oct 10 2008 Jan Rękorajski <baggins@pld-linux.org> 96ace81
- new stuff from latest snap

* Thu Oct 09 2008 Jan Rękorajski <baggins@pld-linux.org> 9ab2f88
- just copy CREDITS where horde wants it, instead of making a symlink
  (possibly pointing to nothingnes if package is installed with --excludedocs)

* Thu Mar 15 2007 Sławomir Paszkiewicz <paszczus@pld-linux.org> a308a86
- updated to 2007-03-15

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> f814e6c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0f3b5dd
- converted to UTF-8

* Sun Nov 26 2006 Elan Ruusamäe <glen@pld-linux.org> 18c5bda
- php virtual extension deps

* Fri Sep 29 2006 Elan Ruusamäe <glen@pld-linux.org> 4d8663c
- update webapp triggers due apache1 package split

* Fri May 19 2006 Elan Ruusamäe <glen@pld-linux.org> 13ce677
- drop trigger

* Wed Apr 12 2006 Elan Ruusamäe <glen@pld-linux.org> cf0dd15
- 2006-04-12 snap, rm cleanup

* Thu Apr 06 2006 Elan Ruusamäe <glen@pld-linux.org> 956aadc
- just rm to catch missing files

* Tue Feb 14 2006 Elan Ruusamäe <glen@pld-linux.org> b062f4f
- drop apache specific requires
- cosmetics

* Tue Feb 14 2006 Elan Ruusamäe <glen@pld-linux.org> 13dc45a
- unify (%verify attrs for webserver configs)

* Thu Feb 02 2006 Elan Ruusamäe <glen@pld-linux.org> eeb64d0
- update apache2 trigger to match apache-base in case somebody decides not to
  use apache2.2 virtual pkg (freedom of choice one of the pld mottos)

* Sun Jan 08 2006 Elan Ruusamäe <glen@pld-linux.org> 818b500
- updated to 2006-01-08

* Fri Dec 02 2005 Elan Ruusamäe <glen@pld-linux.org> ab5d67b
- proper build macros

* Wed Nov 30 2005 Elan Ruusamäe <glen@pld-linux.org> 6d4e537
- simplify and unify

* Wed Nov 30 2005 Elan Ruusamäe <glen@pld-linux.org> 10b5d4e
- unify

